aboutsummaryrefslogtreecommitdiffstats
path: root/lsb-bootscripts/etc/init.d/mountfs
diff options
context:
space:
mode:
authorDJ Lucas <dj@linuxfromscratch.org>2011-05-15 03:17:07 +0000
committerDJ Lucas <dj@linuxfromscratch.org>2011-05-15 03:17:07 +0000
commit63a2c2d454e05553cb83f3656108838f46975ba6 (patch)
tree1a025d83023b0dcd87259c0b78818b3e2c338692 /lsb-bootscripts/etc/init.d/mountfs
parentdcae1d7df3deb6ae9a24b90d83f66feff49c93b0 (diff)
Moved BOOK/bootscripts/contrib/lsb-v3 to BOOK/lsb-bootscripts.
git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@9538 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689
Diffstat (limited to 'lsb-bootscripts/etc/init.d/mountfs')
-rw-r--r--lsb-bootscripts/etc/init.d/mountfs59
1 files changed, 59 insertions, 0 deletions
diff --git a/lsb-bootscripts/etc/init.d/mountfs b/lsb-bootscripts/etc/init.d/mountfs
new file mode 100644
index 000000000..562db546a
--- /dev/null
+++ b/lsb-bootscripts/etc/init.d/mountfs
@@ -0,0 +1,59 @@
+#!/bin/sh
+# Begin /etc/init.d/mountfs
+
+### BEGIN INIT INFO
+# Provides: $local_fs
+# Required-Start: udev checkfs
+# Should-Start:
+# Required-Stop: swap
+# Should-Stop:
+# Default-Start: S
+# Default-Stop: 0 6
+# Short-Description: Mounts/unmounts local filesystems defined in /etc/fstab.
+# Description: Remounts root filesystem read/write and mounts all
+# remaining local filesystems defined in /etc/fstab on
+# start. Remounts root filesystem read-only and unmounts
+# remaining filesystems on stop.
+# X-LFS-Provided-By: LFS
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+case "${1}" in
+ start)
+ message="Remounting root file system in read-write mode..."
+ mount -n -o remount,rw / >/dev/null
+ evaluate_retval standard
+
+ # Remove fsck-related file system watermarks.
+ rm -f /fastboot /forcefsck
+
+ message="Recording existing mounts in /etc/mtab..."
+ > /etc/mtab
+ mount -f / || failed=1
+ mount -f /proc || failed=1
+ mount -f /sys || failed=1
+ mount -f /run || failed=1
+ (exit ${failed})
+ evaluate_retval standard
+
+ # This will mount all filesystems that do not have _netdev in
+ # their option list. _netdev denotes a network filesystem.
+ message="Mounting remaining file systems..."
+ mount -a -O no_netdev >/dev/null
+ evaluate_retval standard
+ ;;
+
+ stop)
+ message="Unmounting all other currently mounted file systems..."
+ umount -a -d -r >/dev/null
+ evaluate_retval standard
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop}"
+ exit 1
+ ;;
+esac
+
+# End /etc/init.d/mountfs